summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-02-09 15:05:44 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-02-09 15:05:44 +0100
commitfc673f93b204709bd56426d01fb497d17a231549 (patch)
treea4e35f1a0c18dd58b04ced4408e79f76c9383ffc /kde-frameworks/kwallet
parentkde-apps/kalarm: Drop bogus COMMON_DEPEND (diff)
downloadgentoo-fc673f93b204709bd56426d01fb497d17a231549.tar.gz
gentoo-fc673f93b204709bd56426d01fb497d17a231549.tar.bz2
gentoo-fc673f93b204709bd56426d01fb497d17a231549.zip
kde-frameworks: Add KDE Frameworks 5.55.0
Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-frameworks/kwallet')
-rw-r--r--kde-frameworks/kwallet/Manifest1
-rw-r--r--kde-frameworks/kwallet/kwallet-5.55.0.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/kde-frameworks/kwallet/Manifest b/kde-frameworks/kwallet/Manifest
index 9150b8cebd6..a799be0f074 100644
--- a/kde-frameworks/kwallet/Manifest
+++ b/kde-frameworks/kwallet/Manifest
@@ -1 +1,2 @@
DIST kwallet-5.54.0.tar.xz 307696 BLAKE2B 9d1f8b719edcd708b780127ea5294abe8c3e2bb4081eaabefb28fce787cdd8b528aee37ff661744b0db1b33d586f022f94f15d2717428ce24238699147985d67 SHA512 f30ceda97180a562853923a0ad1cefbadbed51bbbf4b29405bbe85ccae3dc815053903367ba3638e7a7293eda7fbb7df88f527d6176fc6c2286088c38ce0069a
+DIST kwallet-5.55.0.tar.xz 307796 BLAKE2B ede44ced390915b5b208f3349778b0bdf41f3bbac0954bcc8fbc789d8c7d80d380e44759c237f4827e5bb27ac5534703bc444fbf876b276fa8f5e989f467db23 SHA512 a40f6755fdbec146267a8d96a355e11d8a257c112e82fe7ea3f32de4335cc570dd2e3e27f8880877563405dd2d5fd9d7f26665aaa432134b548ec35ac19bccac
diff --git a/kde-frameworks/kwallet/kwallet-5.55.0.ebuild b/kde-frameworks/kwallet/kwallet-5.55.0.ebuild
new file mode 100644
index 00000000000..817d760a27f
--- /dev/null
+++ b/kde-frameworks/kwallet/kwallet-5.55.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kde5
+
+DESCRIPTION="Framework providing desktop-wide storage for passwords"
+LICENSE="LGPL-2+"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="gpg +man"
+
+BDEPEND="
+ man? ( $(add_frameworks_dep kdoctools) )
+"
+DEPEND="
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ dev-libs/libgcrypt:0=
+ gpg? ( >=app-crypt/gpgme-1.7.1[cxx,qt5] )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package gpg Gpgmepp)
+ $(cmake-utils_use_find_package man KF5DocTools)
+ )
+
+ kde5_src_configure
+}
+
+pkg_postinst() {
+ if ! has_version "kde-plasma/kwallet-pam" || ! has_version "kde-apps/kwalletmanager:5" ; then
+ elog
+ elog "Install kde-plasma/kwallet-pam for auto-unlocking after account login."
+ elog "Install kde-apps/kwalletmanager:5 to manage your kwallet."
+ elog
+ fi
+ if has_version "kde-apps/kwalletd"; then
+ elog "Starting with 5.34.0-r1, ${PN} is able to serve applications"
+ elog "that still require old kwalletd4. After migration has finished,"
+ elog "kde-apps/kwalletd can be removed."
+ fi
+ elog "For more information, read https://wiki.gentoo.org/wiki/KDE#KWallet"
+}